/**
 * Copyright 2021 IBM Corp.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

// Package messages ...
package messages

const (
	// MethodUnimplemented ...
	MethodUnimplemented = "MethodUnimplemented"

	// MissingVolumeName ...
	MissingVolumeName = "MissingVolumeName"

	// VolumeAlreadyExists ...
	VolumeAlreadyExists = "VolumeAlreadyExists"

	// EmptyVolumeID ...
	EmptyVolumeID = "EmptyVolumeID"

	// EmptyVolumePath ...
	EmptyVolumePath = "EmptyVolumePath"

	// EmptyNodeID ...
	EmptyNodeID = "EmptyNodeID"

	// EndpointNotReachable ...
	EndpointNotReachable = "EndpointNotReachable"

	// Timeout ...
	Timeout = "Timeout"

	// VolumeInvalidArguments ...
	VolumeInvalidArguments = "VolumeInvalidArguments"

	// VolumeCreationFailed ...
	VolumeCreationFailed = "VolumeCreationFailed"

	// NoVolumeCapabilities ...
	NoVolumeCapabilities = "NoVolumeCapabilities"

	// VolumeCapabilitiesNotSupported ...
	VolumeCapabilitiesNotSupported = "VolumeCapabilitiesNotSupported"

	// InvalidParameters ...
	InvalidParameters = "InvalidParameters"

	// InternalError ...
	InternalError = "InternalError"

	// ObjectNotFound ...
	ObjectNotFound = "ObjectNotFound"

	// FailedPrecondition ...
	FailedPrecondition = "FailedPrecondition"

	// NoStagingTargetPath ...
	NoStagingTargetPath = "NoStagingTargetPath"

	// NoTargetPath ...
	NoTargetPath = "NoTargetPath"

	// MountPointValidateError ...
	MountPointValidateError = "MountPointValidateError"

	// UnmountFailed ...
	UnmountFailed = "UnmountFailed"

	// MountFailed ...
	MountFailed = "MountFailed"

	// EmptyDevicePath ...
	EmptyDevicePath = "EmptyDevicePath"

	// DevicePathFindFailed ...
	DevicePathFindFailed = "DevicePathFindFailed"

	// DevicePathNotFound ...
	DevicePathNotFound = "DevicePathNotFound"

	// TargetPathCheckFailed ...
	TargetPathCheckFailed = "TargetPathCheckFailed"

	// TargetPathCreateFailed ...
	TargetPathCreateFailed = "TargetPathCreateFailed"

	// VolumeMountCheckFailed ...
	VolumeMountCheckFailed = "VolumeMountCheckFailed"

	// FormatAndMountFailed ...
	FormatAndMountFailed = "FormatAndMountFailed"

	// NodeMetadataInitFailed ...
	NodeMetadataInitFailed = "NodeMetadataInitFailed"

	// DevicePathNotExists ...
	DevicePathNotExists = "DevicePathNotExists"

	// BlockDeviceCheckFailed ...
	BlockDeviceCheckFailed = "BlockDeviceCheckFailed"

	// GetDeviceInfoFailed ...
	GetDeviceInfoFailed = "GetDeviceInfoFailed"

	// GetFSInfoFailed ...
	GetFSInfoFailed = "GetFSInfoFailed"

	// DriverNotConfigured ...
	DriverNotConfigured = "DriverNotConfigured"

	// RemoveMountTargetFailed ...
	RemoveMountTargetFailed = "RemoveMountTargetFailed"

	// CreateMountTargetFailed ...
	CreateMountTargetFailed = "CreateMountTargetFailed"

	// ListVolumesFailed ...
	ListVolumesFailed = "ListVolumesFailed"

	// StartVolumeIDNotFound ...
	StartVolumeIDNotFound = "StartVolumeIDNotFound"

	// FileSystemResizeFailed ...
	FileSystemResizeFailed = "FileSystemResizeFailed"

	// VolumePathNotMounted ...
	VolumePathNotMounted = "VolumePathNotMounted"
)
